package com.sqx.modules.consortia.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sqx.common.utils.Result;
import com.sqx.modules.consortia.entity.Consortia;
import com.sqx.modules.coupon.entity.CouponCard;
import com.sqx.modules.utils.excel.ExcelData;

public interface ConsortiaService extends IService<Consortia> {

    Result insertConsortia(Consortia consortia);

    Result updateConsortia(Consortia consortia);

    Result deleteConsortiaById(Long consortiaId);

    Result selectConsortiaList(Integer page,Integer limit,String consortiaName,String userName,String phone);

    Result selectConsortiaByUserId(Long consortiaId);

    Result insertConsortiaUser(Long userId,Long consortiaId);

    Result deleteConsortiaUser(Long userId);

    Result selectUserListByConsortiaId(Integer page,Integer limit,String userName,String phone,Long consortiaId,Long shopId,Integer flag,String time);

    Result selectConsortiaMoney(Long shopId,Integer flag,String time);

    Result selectConsortiaUserId(Long userId);

	Result genOrGetQrCodePath(String id);
}
